package com.tanpu.community.api.beans.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "热门推荐详情列表")
public class HotRecommendDetailResp {

    @ApiModelProperty(value = "type为1: 首席理顾id type为2:机构id type为3:用户id")
    private String relId;

    @ApiModelProperty(value = "1:首席理顾 2:认证机构 3:指定用户")
    private Integer type;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("头像")
    private String headimg;

    @ApiModelProperty("用户id")
    private String userId;

    @ApiModelProperty("认证名称")
    private String certName;
}
